unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
From: David Bremner <david@tethera.net>
To: Michael J Gruber <git@grubix.eu>
Cc: notmuch@notmuchmail.org
Subject: Re: Test suite timing issues?
Date: Fri, 11 Feb 2022 20:03:00 -0400	[thread overview]
Message-ID: <87k0e1x87f.fsf@tethera.net> (raw)
In-Reply-To: <164458773197.3086.16103597141743611268.git@grubix.eu>

Michael J Gruber <git@grubix.eu> writes:

> Hi there,
>
> I'm trying to package notmuch for Redhat's enterprise linux and clones
> (EPEL, extra packages for enterprise linux). 
>
> This looks mostly fine, including the tests, except for intermittent
> failures on epel-8-s390x. They look like the below, or in tests
> following those, and apparantly all have to do with "db not synced yet"
> or such, so that a message one subtest creates only shows up in the db
> for the next subtest.
>
> I've also had completely fine test runs on epel-8-s390x, but I'm
> starting to wonder whether I've just been lucky so far on other
> platforms ... Could it be possible that generate_message(), even though
> adding the message, still returns false and therefore add_message() does
> not call "notmuch new"? One might want to drop the "&&" there in
> test-lib-common, I dunno. This shouldn't be "intermittent".

It's hard to see what can go wrong (maybe perl doesn't work?), but
failing to generate a message should be a fatal error. Maybe try
something like

diff --git a/test/test-lib-common.sh b/test/test-lib-common.sh
index ebbf4cdf..076777ca 100644
--- a/test/test-lib-common.sh
+++ b/test/test-lib-common.sh
@@ -225,7 +225,7 @@ EOF
 # All of the arguments and return values supported by generate_message
 # are also supported here, so see that function for details.
 add_message () {
-    generate_message "$@" &&
+    generate_message "$@" || error "failed to generate message"
     notmuch new > /dev/null
 }


to see if you get more information

  parent reply	other threads:[~2022-02-12  0:03 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-11 13:55 Test suite timing issues? Michael J Gruber
2022-02-11 14:04 ` Michael J Gruber
2022-02-12  0:03 ` David Bremner [this message]
2022-02-12 13:32   ` Michael J Gruber
2022-02-12 14:30     ` David Bremner
2022-02-12 15:06     ` Tomi Ollila
2022-02-12 15:29       ` David Bremner
2022-02-12 19:40         ` David Bremner
2022-02-12 20:45         ` Tomi Ollila
2022-02-12 20:54           ` Michael J Gruber
2022-02-12 21:09           ` David Bremner
2022-02-12 21:53             ` Michael J Gruber
2022-02-12 22:14             ` Tomi Ollila
2022-02-13  8:29               ` Tomi Ollila
2022-02-14 14:01                 ` David Bremner
2022-02-14 14:48                   ` Tomi Ollila
2022-02-14 22:53                   ` Tomi Ollila
2022-02-15  8:51                     ` Michael J Gruber
2022-02-15 15:18                       ` Michael J Gruber
2022-02-16  9:52                         ` [PATCH] test: allow to use --full-sync Michael J Gruber
2022-02-16 13:04                           ` David Bremner
2022-02-16 15:53                             ` Michael J Gruber
2022-02-16 21:17                               ` Tomi Ollila
2022-02-16 22:01                                 ` Tomi Ollila
2022-02-17 12:26                               ` David Bremner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://notmuchmail.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=87k0e1x87f.fsf@tethera.net \
    --to=david@tethera.net \
    --cc=git@grubix.eu \
    --cc=notmuch@notmuchmail.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).